package com.example.wholeestate.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 楼盘表
 * </p>
 *
 * @author jobob
 * @since 2019-03-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_building")
public class Building implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 楼盘ID
     */
    private String buildingId;

    /**
     * 楼盘名称
     */
    private String buildingName;

    /**
     * 别名
     */
    private String name;

    /**
     * 价格
     */
    private String price;

    /**
     * 开盘时间
     */
    private Date openingDate;

    /**
     * 项目地址
     */
    private String address;

    /**
     * 项目坐标
     */
    private String coordinate;

    /**
     * 物业类型
     */
    private String propertyType;

    /**
     * 最新动态
     */
    private String dynamic;

    /**
     * 电话
     */
    private String tel;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 0正常，-1删除
     */
    private Integer status;

    /**
     * 楼盘code
     */
    private  Integer code;

}
