package com.example.wholeestate.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.dao.CustomerMapper;
import com.example.wholeestate.dao.TaCollectionMapper;
import com.example.wholeestate.model.Building;
import com.example.wholeestate.model.Customer;
import com.example.wholeestate.model.TaCollection;
import com.example.wholeestate.service.ITaCollectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 收藏表 服务实现类
 * </p>
 *
 * @author weiximei
 * @since 2019-03-21
 */
@Service
public class TaCollectionServiceImpl extends ServiceImpl<TaCollectionMapper, TaCollection> implements ITaCollectionService {

    @Autowired
    private TaCollectionMapper taCollectionMapper;

    @Autowired
    private CustomerMapper customerMapper;

    @Override
    public ResponseBean openidCollectionBuilding(String openid, Integer pageNum, Integer pageSize) {
        ResponseBean responseBean = new ResponseBean();
        Page<Building> page = new Page<>();
        page.setCurrent(pageNum);
        page.setSize(pageSize);
        IPage<Building> buildingIPage = taCollectionMapper.openidCollectionBuilding(page, openid);
        responseBean.addSuccess(buildingIPage);
        return responseBean;
    }

    @Override
    public ResponseBean deleteCollection(String openid, String buildingId) {
        ResponseBean responseBean = new ResponseBean();
        taCollectionMapper.deleteCollection(openid, buildingId);
        responseBean.addSuccess("操作成功!");
        return responseBean;
    }

    @Override
    public ResponseBean addCollection(String openid, String buildingId) {
        ResponseBean responseBean = new ResponseBean();

        QueryWrapper<Customer> customerQueryWrapper = new QueryWrapper<>();
        customerQueryWrapper.eq("openid", openid);
        Customer customer = customerMapper.selectOne(customerQueryWrapper);

        QueryWrapper<TaCollection> taCollectionQueryWrapper = new QueryWrapper<>();
        taCollectionQueryWrapper.eq("customer_id", customer.getCustomerId());
        taCollectionQueryWrapper.eq("building_id", buildingId);
        TaCollection taCollection = taCollectionMapper.selectOne(taCollectionQueryWrapper);
        if (null != taCollection) {
            responseBean.addError("您已收藏过这个楼盘!");
            return responseBean;
        }


        return responseBean;
    }
}
